## signon-kwallet-extension 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

set(KF5_MIN_VERSION "5.91.0")
set(QT_REQUIRED_VERSION "5.15.2")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)

include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core)

find_package(KF${QT_MAJOR_VERSION} ${KF5_MIN_VERSION} REQUIRED Wallet)

find_package(SignOnExtension REQUIRED)

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.101.0
    )


add_subdirectory(src)
# add_subdirectory(tests)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
signon-kwallet-extension (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:37 +0100

signon-kwallet-extension (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:56 +0100

=== debian/control ===
Source: signon-kwallet-extension
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.0.0~),
               signond-dev (>= 8.61+git20231015.c8ad982~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/signon-kwallet-extension
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/signon-kwallet-extension
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/signon-kwallet-extension

Package: signon-kwallet-extension
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: KWallet extension for signond
 Enables signon services to store credentials in KWallet.

## signon-kwallet-extension 25.08.2+p24.04+vstable+git20251012.0451

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
include(ECMAddTests)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

include_directories(${SIGNONEXTENSION_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/src ${CMAKE_BINARY_DIR}/src)

set(testextension_SRCS
    testextension.cpp
    ../src/keyringplugin.cpp
    ../src/secretsstorage.cpp
)


ecm_add_tests(${testextension_SRCS}
              LINK_LIBRARIES Qt5::Test Qt5::Core KF5::Wallet ${SIGNONEXTENSION_LIBRARIES})

=== debian/changelog ===
signon-kwallet-extension (4:25.08.2+p24.04+vstable+git20251012.0451-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 04:51:44 +0000

signon-kwallet-extension (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:17 +0000

## signon-kwallet-extension 25.08.2+p24.04+vstable+git20251031.0927

=== debian/changelog ===
signon-kwallet-extension (4:25.08.2+p24.04+vstable+git20251031.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:27:56 +0000

## signon-kwallet-extension 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== debian/changelog ===
signon-kwallet-extension (4:25.08.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:37:45 +0000

signon-kwallet-extension (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:02 +1000

## signon-kwallet-extension 25.08.3+p24.04+vstable+git20251206.0333

=== debian/changelog ===
signon-kwallet-extension (4:25.08.3+p24.04+vstable+git20251206.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:33:49 +0000

## signon-kwallet-extension 25.08.3+p24.04+vunstable+git20251106.1638

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

set(KF_MIN_VERSION "6.0.0")
set(QT_REQUIRED_VERSION "6.5.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)

include(FeatureSummary)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED Wallet)

find_package(SignOnExtension REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.9.0
     KF 6.16.0
    )


add_subdirectory(src)
# add_subdirectory(tests)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
signon-kwallet-extension (4:25.08.3+p24.04+vunstable+git20251106.1638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:38:26 +0000

## signon-kwallet-extension 25.08.3+p24.04+vunstable+git20251111.0502

=== debian/changelog ===
signon-kwallet-extension (4:25.08.3+p24.04+vunstable+git20251111.0502-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:02:04 +0000

## signon-kwallet-extension 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== src/CMakeLists.txt ===
add_definitions (-fexceptions -DQT_NO_KEYWORDS -Wno-missing-field-initializers -fno-rtti)
include_directories(${SIGNONEXTENSION_INCLUDE_DIRS})

set(kwalletsignon5_SRCS
    keyringplugin.cpp
    secretsstorage.cpp
)

add_library(libkeyring-kwallet MODULE ${kwalletsignon5_SRCS})

set_target_properties(libkeyring-kwallet PROPERTIES PREFIX "")
target_link_libraries(libkeyring-kwallet
    Qt::Core
    KF6::Wallet
    ${SIGNONEXTENSION_LIBRARIES})

if(INSTALL_BROKEN_SIGNON_EXTENSION)
  set(OVERRIDDEN_SIGNONEXTENSION_PLUGINDIR ${CMAKE_INSTALL_PREFIX}/lib/signon/extensions/)
  if (NOT OVERRIDDEN_SIGNONEXTENSION_PLUGINDIR STREQUAL SIGNONEXTENSION_PLUGINDIR)
    message(WARNING "INSTALL_BROKEN_SIGNON_EXTENSION is enabled. Files will be installed to ${OVERRIDDEN_SIGNONEXTENSION_PLUGINDIR} instead of ${SIGNONEXTENSION_PLUGINDIR}")
  endif()
  install(TARGETS libkeyring-kwallet DESTINATION ${OVERRIDDEN_SIGNONEXTENSION_PLUGINDIR})
else()
  install(TARGETS libkeyring-kwallet DESTINATION ${SIGNONEXTENSION_PLUGINDIR})
endif()

=== debian/changelog ===
signon-kwallet-extension (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:58:10 +0000

signon-kwallet-extension (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:21:00 +0000

## signon-kwallet-extension 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== debian/changelog ===
signon-kwallet-extension (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:59 +0000

## signon-kwallet-extension 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== debian/changelog ===
signon-kwallet-extension (4:25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:27:18 +0000

signon-kwallet-extension (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:57 +1000

## signon-kwallet-extension 25.12.0+p24.04+vstable+git20251208.1318

=== debian/changelog ===
signon-kwallet-extension (4:25.12.0+p24.04+vstable+git20251208.1318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:18:28 +0000

## signon-kwallet-extension 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== debian/changelog ===
signon-kwallet-extension (4:25.12.1-0zneon+24.04+noble+release+build28) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:22:39 +0000

signon-kwallet-extension (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:09 +1000

## signon-kwallet-extension 25.12.1+p24.04+vstable+git20260128.0306

=== debian/changelog ===
signon-kwallet-extension (4:25.12.1+p24.04+vstable+git20260128.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 03:06:09 +0000

## signon-kwallet-extension 25.12.1+p24.04+vunstable+git20260106.1458

=== debian/changelog ===
signon-kwallet-extension (4:25.12.1+p24.04+vunstable+git20260106.1458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:58:44 +0000

## signon-kwallet-extension 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== debian/changelog ===
signon-kwallet-extension (4:25.12.2-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 02:31:30 +0000

signon-kwallet-extension (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:45:53 +0000

## signon-kwallet-extension 25.12.2+p24.04+vstable+git20260207.0231

=== debian/changelog ===
signon-kwallet-extension (4:25.12.2+p24.04+vstable+git20260207.0231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 02:31:37 +0000

## signon-kwallet-extension 25.12.2+p24.04+vunstable+git20260207.0231

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(kwalletsignon_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kwalletsignon5 VERSION ${kwalletsignon_VERSION})

=== debian/changelog ===
signon-kwallet-extension (4:25.12.2+p24.04+vunstable+git20260207.0231-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 02:31:33 +0000
